## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}
%global pypi_name msgspec

Name:           python-%{pypi_name}
Summary:        Fast serialization and validation library
Version:        0.19.0
Source:         https://github.com/jcrist/%{pypi_name}/archive/refs/tags/%{version}/msgspec-%{version}.tar.gz
Release:        %autorelease

License:        BSD-3-Clause
URL:            https://jcristharif.com/msgspec/

# Python 3.14: Call __annotate__ on type objects to get annotations
Patch:          https://github.com/jcrist/msgspec/pull/810.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(wheel)
# Adding the pytest dependency manually, as the `tests` extras group also
# includes mypy, pyright, pre-commit and other unpackaged dependencies
BuildRequires:  python3dist(pytest)
BuildRequires:  gcc
ExcludeArch: s390x i686

%generate_buildrequires
%pyproject_buildrequires

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%global _description %{expand:
A fast serialization and validation library, with builtin support for
JSON, MessagePack, YAML, and TOML.}

%description %_description
%description -n python3-%{pypi_name} %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
# tests/test_raw.py::test_raw_copy_doesnt_leak calls Python from subprocess and is confused by msgspec in $PWD
export PYTHONSAFEPATH=1
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Tue Feb 04 2025 Miro Hrončok <miro@hroncok.cz> - 0.19.0-2
- Fix build with Python 3.14
- Fixes: rhbz#2325169

* Tue Feb 04 2025 Miro Hrončok <miro@hroncok.cz> - 0.19.0-1
- Update to 0.19.0
- Fixes: rhzb#2334591

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 01 2024 Aris Tritas <aris.tritas@aiven.io> - 0.18.6-7
- Update release version using the %%autorelease macro

* Wed Sep 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.18.6-6
- Patch for Python 3.13 (close RHBZ#2301180)

* Tue Sep 10 2024 Aris Tritas <aris.tritas@aiven.io> - 0.18.6-5
- Exclude some unsupported architectures

* Tue Aug 06 2024 Filipe Rosset <rosset.filipe@gmail.com> - 0.18.6-4
- fix spec

* Tue Aug 06 2024 Filipe Rosset <rosset.filipe@gmail.com> - 0.18.6-3
- clean spec

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Apr 17 2024 Aris Tritas <aris.tritas@aiven.io> - 0.18.6-1
- Initial import (fedora#2274031).
## END: Generated by rpmautospec
